Subject: bug#59719: 29.0.60; emacs-news-mode does not adjust the width of the fringe to accommodate the outline icons

From: Juri Linkov <[email-masked]>
Date: Wed, 30 Nov 2022 20:59:56 +0200

>> > Why not use string-pixel-width, and divide by what default-font-width
>> > returns?
>>
>> This means to iterate over all icons and get their maximal width.
>
> Are they so different in their dimensions?  And how many icons do we have in
> this case?

5 icons.

>> There is one thing that I don't understand about margins: could you clarify
>> how the default width of a character cell is calculated?  Is it based
>> on the default font size?
>
> Yes, based on the default face's font.  Exactly like the dimensions of the
> text-area of the window are calculated.

Strange, when adjusting text-scale with 'C-x C-+' the width of the
margins doesn't change together with the font size of the buffer.